<template>
  <v-row>
    <v-col class="col-sm-6 col-md-6 col-lg-6 col-12">
      <v-card class="mx-auto" max-height="450" height="400">
        <v-card-title>
          <p class="text-truncate">
            สรุป % ค่าใช้จ่ายในแต่ละประเภทประจำเดือน (Bar Horizontal Chart)
            {{ getMonth }}
          </p>
        </v-card-title>
        <v-card-text>
          <BarHorizontal />
        </v-card-text>
      </v-card>
    </v-col>
    <v-col class="col-sm-6 col-md-6 col-lg-6 col-12">
      <v-card class="mx-auto" max-height="450" height="400">
        <v-card-title>
          <p class="text-truncate">
            สรุป % ค่าใช้จ่ายในแต่ละประเภทประจำเดือน (Doughnut Chart)
            {{ getMonth }}
          </p></v-card-title
        >
        <v-card-text>
          <Doughnut />
        </v-card-text>
      </v-card>
    </v-col>
    <v-col class="col-12">
      <v-card class="mx-auto" max-height="450" height="400">
        <v-card-title>
          <p class="text-truncate">
            Staked 100% Bar Chart ข้อมูลค่าใช้จ่ายรวมทั้งหมด จำนวน 12 เดือน
            ประจำปี {{ getYear }}
          </p>
        </v-card-title>
        <v-card-text><fullStacked /></v-card-text>
      </v-card>
    </v-col>
    <v-col class="col-12">
      <v-card class="mx-auto" max-height="auto" height="450">
        <v-card-title>
          <p class="text-truncate">
            รวมค่าใช้จ่ายในแต่ละประเภท แยกตามเดือน ประจำปี {{ getYear }}
          </p>
        </v-card-title>
        <v-card-text>
          <tableData />
        </v-card-text>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
import covertDate from '@/mixins/formateDate'
import BarHorizontal from '@/components/dashboard/monthly/barHorizontalMonthly.vue'
import Doughnut from '@/components/dashboard/monthly/doughnutMonthly.vue'
import fullStacked from '@/components/dashboard/monthly/fullStackedMonthly.vue'
import tableData from '@/components/dashboard/monthly/table.vue'
export default {
  mixins: [covertDate],
  components: {
    BarHorizontal,
    Doughnut,
    fullStacked,
    tableData,
  },
  data: () => ({
    getMonth: '',
    getYear: '',
  }),
  computeds: {},
  mounted() {
    this.getDataAxios()
  },
  methods: {
    async getDataAxios(val) {
      let checkTime = new Date().getTime()

      val ? (checkTime = val) : checkTime

      let date = new Date(checkTime)
      let firstDay = new Date(date.getFullYear(), 0, 1)
      let lastDay = new Date(date.getFullYear(), 11, 31)

      this.getYear = date.getFullYear() + 543
      this.getMonth = this.setMonth(date.getMonth()) + ' ' + this.getYear
      
    },
    setMonth(val) {
      let valMonth
      switch (val) {
        case 0:
          valMonth = 'มกราคม'
          break
        case 1:
          valMonth = 'กุมภาพันธ์'
          break
        case 2:
          valMonth = 'มีนาคม'
          break
        case 3:
          valMonth = 'เมษายน'
          break
        case 4:
          valMonth = 'พฤษภาคม'
          break
        case 5:
          valMonth = 'มิถุนายน'
          break
        case 6:
          valMonth = 'กรกฏาคม'
          break
        case 7:
          valMonth = 'สิงหาคม'
          break
        case 8:
          valMonth = 'กันยายน'
          break
        case 9:
          valMonth = 'ตุลาคม'
          break
        case 10:
          valMonth = 'พฤศจิกายน'
          break
        case 11:
          valMonth = 'ธันวาคม'
          break
      }
      return valMonth
    },
  },
}
</script>
<style scoped>
.v-card__title p {
  color: #6e6e6e;
  line-height: 1.33;
  margin: 0;
  font-size: 20px;
  font-weight: 400;
}
</style>
